Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.core
Interface IJavaFieldVariable

All Superinterfaces:
  IAdaptable, IDebugElement, IJavaModifiers, IJavaVariable, IValueModification, IVariable

public interface IJavaFieldVariable
extends IJavaVariable

A variable that contains the value of an instance or class variable.

Clients are not intended to implement this interface.

Since:
  2.0
See Also:
  `IVariable`

Method Summary
`IJavaType` | `getDeclaringType()` Returns the type that declares this variable.
`IJavaObject` | `getReceiver()` Returns the object that contains this field variable, or `null` if no object contains this field variable (static field variable).
`IJavaReferenceType` | `getReceivingType()` Returns the type that contains this field variable.
`boolean` | `isTransient()` Returns whether this variable is declared as transient.
`boolean` | `isVolatile()` Returns whether this variable is declared as volatile.

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaVariable
`getJavaType, getSignature, isLocal`

Methods inherited from interface org.eclipse.debug.core.model.IVariable
`getName, getReferenceTypeName, getValue, hasValueChanged`

Methods inherited from interface org.eclipse.debug.core.model.IDebugElement
`getDebugTarget, getLaunch, getModelIdentifier`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.debug.core.model.IValueModification
`setValue, setValue, supportsValueModification, verifyValue, verifyValue`

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaModifiers
`isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isSynthetic`

Method Detail

### isTransient

    public boolean isTransient()
                        throws DebugException

  Returns whether this variable is declared as transient.

  Returns:
    whether this variable has been declared as transient
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.

### isVolatile

    public boolean isVolatile()
                       throws DebugException

  Returns whether this variable is declared as volatile.

  Returns:
    whether this variable has been declared as volatile
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.

### getDeclaringType

    public IJavaType getDeclaringType()

  Returns the type that declares this variable.

  Returns:
    the type that decalares this variable

### getReceiver

    public IJavaObject getReceiver()

  Returns the object that contains this field variable, or `null` if no object contains this field variable (static field variable).

  Returns:
    the object that contains this field variable
  Since:
    3.0

### getReceivingType

    public IJavaReferenceType getReceivingType()

  Returns the type that contains this field variable.

  Returns:
    the type that contains this field variable
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.